org.eclipse.pde.core.project

## Interface IHostDescription

    public interface IHostDescription

Describes a fragment host. Instances of this class can be created via `IBundleProjectService.newHost(String, VersionRange)`.

Since:
  3.6
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` Returns the symbolic name of the host.
`VersionRange` `getVersionRange()` Returns the version constraint of the host or `null` if unspecified.

### Method Detail

#### getName

    String getName()

Returns the symbolic name of the host.

Returns:
  symbolic name of the host

#### getVersionRange

    VersionRange getVersionRange()

Returns the version constraint of the host or `null` if unspecified.

Returns:
  version constraint or `null`